Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.slhdsa
Class SLHDSAPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.slhdsa.SLHDSAKeyParameters
              org.bouncycastle.pqc.crypto.slhdsa.SLHDSAPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

Deprecated. use org.bouncycastle.crypto.params.SLHDSAPrivateKeyParameters

public class SLHDSAPrivateKeyParameters
extends SLHDSAKeyParameters

Constructor Summary
`SLHDSAPrivateKeyParameters(SLHDSAParameters parameters, byte[] skpkEncoded)` Deprecated.
`SLHDSAPrivateKeyParameters(SLHDSAParameters parameters, byte[] skSeed, byte[] prf, byte[] pkSeed, byte[] pkRoot)` Deprecated.

Method Summary
`byte[]` | `getEncoded()` Deprecated.
`byte[]` | `getEncodedPublicKey()` Deprecated.
`byte[]` | `getPrf()` Deprecated.
`byte[]` | `getPublicKey()` Deprecated.
`byte[]` | `getPublicSeed()` Deprecated.
`byte[]` | `getRoot()` Deprecated.
`byte[]` | `getSeed()` Deprecated.

Methods inherited from class org.bouncycastle.pqc.crypto.slhdsa.SLHDSAKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLHDSAPrivateKeyParameters

    public SLHDSAPrivateKeyParameters(SLHDSAParameters parameters,
                                      byte[] skpkEncoded)

  Deprecated.

### SLHDSAPrivateKeyParameters

    public SLHDSAPrivateKeyParameters(SLHDSAParameters parameters,
                                      byte[] skSeed,
                                      byte[] prf,
                                      byte[] pkSeed,
                                      byte[] pkRoot)

  Deprecated.

Method Detail

### getSeed

    public byte[] getSeed()

  Deprecated.

### getPrf

    public byte[] getPrf()

  Deprecated.

### getPublicSeed

    public byte[] getPublicSeed()

  Deprecated.

### getRoot

    public byte[] getRoot()

  Deprecated.

### getPublicKey

    public byte[] getPublicKey()

  Deprecated.

### getEncoded

    public byte[] getEncoded()

  Deprecated.

### getEncodedPublicKey

    public byte[] getEncodedPublicKey()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD